import { IonicModule } from '@ionic/angular';
import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { FormsModule } from '@angular/forms';
import { Tab2Page } from './tab2.page';
import { ExploreContainerComponentModule } from '../explore-container/explore-container.module';

import { Tab2PageRoutingModule } from './tab2-routing.module';
// ...其他导入
import { Camera } from '@awesome-cordova-plugins/camera/ngx';
import { ReactiveFormsModule } from '@angular/forms';


@NgModule({
  
  imports: [
    IonicModule,
    CommonModule,
    FormsModule,
    ReactiveFormsModule, // 确保 ReactiveFormsModule 在这里
    ExploreContainerComponentModule, // 确保这个模块是正确导入的
    Tab2PageRoutingModule
  ],
  providers: [
    {
      provide: Camera, // 使用具体的类名替换 'Camera'
      useClass: Camera // 这里需要 Camera 类作为服务提供者
    }
  ],
  bootstrap: [/* 应用程序的主组件 */],
  declarations: [Tab2Page]
})
export class Tab2PageModule {}
